Subject: Re: bug#57968: 29.0.50; Emacs crashes in console, when invoked from mutt

From: Stefan Kangas <[email-masked]>
Date: Sun, 3 Sep 2023 02:20:00 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Jean Louis <[email-masked]>
>> Date: Tue, 20 Sep 2022 23:01:19 +0300
>>
>> I use mutt to send emails, but normally emacsclient. This time Emacs
>> server was busy, and I have invoked settings in mutt:
>>
>> :set editor="emacs -Q -nw"
>>
>> to use it from console.
>>
>> But then when editing, Emacs crashes:
>>
>> $ mutt
>> Fatal error 6: Aborted
>> Backtrace:ped                 mutt
>> emacs(+0x19a4c3)[0x5596d6e8f4c3]
>> emacs(+0x48197)[0x5596d6d3d197]
>> emacs(+0x486e2)[0x5596d6d3d6e2]
>> emacs(+0x48334)[0x5596d6d3d334]gency escape.
>> emacs(+0x199f28)[0x5596d6e8ef28]
>> /usr/lib/libc.so.6(+0x428e0)[0x7f3968c498e0]
>> /usr/lib/libc.so.6(__pread64_nocancel+0xe)[0x7f3968d1188e]
>> /usr/lib/libc.so.6(+0x15aea8)[0x7f3968d61ea8]
>> /usr/lib/libc.so.6(+0x15b2af)[0x7f3968d622af]
>> /usr/lib/libc.so.6(getutid_r+0x31)[0x7f3968d61c61]
>> /usr/lib/libc.so.6(getutid+0x33)[0x7f3968d61b43]
>> emacs(+0x1a78df)[0x5596d6e9c8df]
>> emacs(+0x1a7d7c)[0x5596d6e9cd7c]
>> emacs(+0x1a7f3e)[0x5596d6e9cf3e]
>> emacs(+0x1a8755)[0x5596d6e9d755]
>
> These addresses can only be interpreted on your system, and are
> otherwise useless.  So either you translate them to file names and
> line numbers using the technique described in the node "Crashing" of
> the user manual, or you need to arrange Emacs to run under a debugger
> and post the backtrace from there.
>
> Btw, this part:
>
>> emacs(+0x48334)[0x5596d6d3d334]gency escape.
>
> hints that Emacs attempted the "emergency escape" feature, for some
> reason (did you press C-g more than once or twice?).  If so, then this
> abort was triggered by you.
>
> I'm also wondering whether "emacs -nw" can be run from mutt, since
> mutt is (AFAIK) full-screen text-mode application, and so it probably
> usurps the terminal and doesn't allow other programs work in
> full-screen mode, something that Emacs must do.
>
> So perhaps the scenario was like this:
>
>   . you invoked the editor
>   . emacs couldn't display on the terminal and seemed to freeze
>   . you typed C-g several times
>   . emacs performed the "emergency escape" procedure and aborted
>     itself
>
> Sounds plausible?

More information was requested, but none was given within 12 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.